
/**
 * Beispiele für diverse Graphen
 * 
 * @author Albert Wiedemann
 * @version 1.0
 */
class Beispiele
{
    GraphMatrix g;
    Lesen l;
    
    /**
     * Legt das Graphenobjekt an.
     */
    Beispiele ()
    {
        g = new GraphMatrix();
        l = new Lesen();
    }

    /**
     * Legt einen zusammenhängenden Graphen an.
     * Am Ende Ausgabe der Adjazenzmatrix zur Kontrolle
     */
    void AusführenBeispielgraph()
    {
        g.ZurückSetzen();
        if (l.LesenDatenbank("Beispielgraph.grdb", g))
        {
            g.Ausgeben();
            if (g.ZusammenhangTesten())
            {
                System.out.println ("Der Graph ist zusammenhängend");
            }
            else
            {
                System.out.println ("Der Graph ist nicht zusammenhängend");
            }
        }
    }

    /**
     * Legt einen nicht zusammenhängenden Graphen an.
     * Am Ende Ausgabe der Adjazenzmatrix zur Kontrolle
     */
    void AusführenBeispielgraph2()
    {
        g.ZurückSetzen();
        if (l.LesenDatenbank("Beispielgraph2.grdb", g))
        {
            g.Ausgeben();
            if (g.ZusammenhangTesten())
            {
                System.out.println ("Der Graph ist zusammenhängend");
            }
            else
            {
                System.out.println ("Der Graph ist nicht zusammenhängend");
            }
        }
    }

}
