
/**
 * Beispiele für diverse Graphen
 * 
 * @author Albert Wiedemann
 * @version 1.0
 */
class Beispiele
{
    GraphMatrix g;
    Lesen l;
    
    /**
     * Legt das Graphenobjekt an.
     */
    Beispiele ()
    {
        g = new GraphMatrix();
        l = new Lesen();
    }

    /**
     * Legt einen Graphen für den süddeutschen Teil des Autobahnnetztes an.
     * Am Ende Ausgabe der Adjazenzmatrix zur Kontrolle
     */
    void AusführenAutobahn()
    {
        g.ZurückSetzen();
        if (l.LesenDatenbank("Autobahnen.grdb", g))
        {
            g.Ausgeben();
        }
    }
    
    /**
     * Führt die Breitensuche vom Startknoten zum Zielknoten durch
     * @param startKnoten der Bezeichner des Startknotens
     */
    void BreitensucheAusführen (String nameStartKnoten)
    {
        if (g != null)
        {
            g.BreitensucheAusführen(g.KnotenNummerGeben(nameStartKnoten));
        }
    }
}
