
/**
 * Beschreibt einen Knoten
 * 
 * @author Albert Wiedemann
 * @version 1.0
 */
class Knoten
{
    /** Der Bezeichner des Knotens */
    private String bezeichner;
    /** Das Darstellungssymbol des Knotens */
    private KnotenSymbol symbol;
    /** Wahr, wenn an diesem Knoten eine Tankstelle vorhanden ist */
    private boolean tankstelleVorhanden;
    
    /**
     * Besetzt die Attribute und legt das Knotensymbol an.
     * @param bezeichner Bezeichner
     * @param x x-Koordinate
     * @param y y-Koordinate
     * @param tankstelle gibt an, ob eine Tankstelle vorhanden ist
     */
    Knoten (String bezeichner, int x, int y, boolean tankstelle)
    {
        this.bezeichner = bezeichner;
        tankstelleVorhanden = tankstelle;
        symbol = new KnotenSymbol(x, y, 20, "weiß", tankstelleVorhanden ? (bezeichner + " T") : bezeichner);
    }
    
    /**
     * Meldet den Bezeichner des Knotens zurück.
     * @return Bezeichner
     */
    String BezeichnerGeben()
    {
        return bezeichner;
    }
    
    /**
     * Meldet das Symbol des Knotens zurück.
     * @return Bezeichner
     */
    KnotenSymbol SymbolGeben()
    {
        return symbol;
    }
    
    /**
     * Setzt die Farbe der Darstellung
     * @param f die (neue) Farbe
     */
    void FarbeSetzen(String f)
    {
        symbol.FarbeSetzen(f);
    }
    
    /**
     * Meldet zurück, ob an diesem Knoten eine Tankstelle verfügbar ist
     * @return wahr, wenn an diesem Knoten eine Tankstelle verfügbar ist
     */
    boolean IstTankstelleVorhanden()
    {
        return tankstelleVorhanden;
    }
}
