
/**
 * Beispiele für diverse Graphen
 * 
 * @author Albert Wiedemann
 * @version 1.0
 */
class Beispiele
{
    GraphMatrix g;
    Lesen l;
    
    /**
     * Legt das Graphenobjekt an.
     */
    Beispiele ()
    {
        g = new GraphMatrix();
        l = new Lesen();
    }

    /**
     * Legt den Graphen für Kapitel 1.1 Aufgabe 10a an.
     * Am Ende Ausgabe der Adjazenzmatrix zur Kontrolle
     */
    void AusführenGraphA()
    {
        g.ZurückSetzen();
        if (l.LesenDatenbank("GraphA.grdb", g))
        {
            g.Ausgeben();
        }
    }

    /**
     * Legt den Graphen für Kapitel 1.1 Aufgabe 10b an.
     * Am Ende Ausgabe der Adjazenzmatrix zur Kontrolle
     */
    void AusführenGraphB()
    {
        g.ZurückSetzen();
        if (l.LesenDatenbank("GraphB.grdb", g))
        {
            g.Ausgeben();
        }
    }
    
    /**
     * Führt die Breitensuche vom Startknoten zum Zielknoten durch
     * @param füllMenge die gewünschte Füllmenge
     */
    void BreitensucheAusführen (int füllmenge)
    {
        if (g != null)
        {
            if (g.BreitensucheAusführen(füllmenge))
            {
                System.out.println("Die gewünschte Füllmenge wurde gefunden");
            }
            else
            {
                System.out.println("Die gewünschte Füllmenge wurde nicht gefunden");
            }
        }
    }
    
    /**
     * Führt die Breitensuche für jede mögliche Füllmenge (1 bis Kapazität des größten Gefäßes) durch.
     */
    void AllesPrüfen()
    {
        // Gemäß Teilaufgabe c ergänzen
    }
}
