
/**
 * Beschreibt einen Knoten
 * 
 * @author Albert Wiedemann
 * @version 1.0
 */
class Knoten
{
    /** Der Bezeichner des Knotens */
    private String bezeichner;
    /** Das Darstellungssymbol des Knotens */
    private KnotenSymbol symbol;
    /** 8-Liter-Gefäß */
    private int gefäß8;
    /** 5-Liter-Gefäß */
    private int gefäß5;
    /** 3-Liter-Gefäß */
    private int gefäß3;
    
    /**
     * Besetzt die Attribute und legt das Knotensymbol an.
     * @param bezeichner Bezeichner
     * @param x x-Koordinate
     * @param y y-Koordinate
     */
    Knoten (String bezeichner, int x, int y)
    {
        this.bezeichner = bezeichner;
        symbol = new KnotenSymbol(x, y, 20, "weiß", bezeichner);
        String[] teile = bezeichner.split("[|]");
        gefäß8 = new Integer(teile[0]);
        gefäß5 = new Integer(teile[1]);
        gefäß3 = new Integer(teile[2]);
    }
    
    /**
     * Meldet den Bezeichner des Knotens zurück.
     * @return Bezeichner
     */
    String BezeichnerGeben()
    {
        return bezeichner;
    }
    
    /**
     * Meldet das Symbol des Knotens zurück.
     * @return Bezeichner
     */
    KnotenSymbol SymbolGeben()
    {
        return symbol;
    }
    
    /**
     * Setzt die Farbe der Darstellung
     * @param f die (neue) Farbe
     */
    void FarbeSetzen(String f)
    {
        symbol.FarbeSetzen(f);
    }
    
    /**
     * Meldet zurück, ob an diesem Knoten eines der Gefäße die gewünschte Füllmenge hat
     * @param füllMenge die gewünschte Füllmenge
     * @return wahr, wenn an diesem Knoten die gewünschte Füllmenge verfügbar ist
     */
    boolean IstTFüllmengeVorhanden(int füllMenge)
    {
        // Entsprechend der Teilaufgabe a ergänzen
        return false;
    }
}
