
/**
 * Oberklasse aller Bausteine des Gartens
 * 
 * @author Albert Wiedemann
 * @version 1.0
 */
class GartenElement
{
    /** Die Seitenlänge eines Elementquadrats */
    static final int seitenlänge = 20;
    /** Das Darstellungsrechteck */
    protected Rechteck darstellung;
    /** x-Position des Quadrats in Zellenangben */
    protected int x;
    /** y-Position des Quadrats in Zellenangben */
    protected int y;

    /**
     * Legt das Darstellungsrechteck an.
     * @param x x-Position des Quadrats in Zellenangben
     * @param y y-Position des Quadrats in Zellenangben
     */
    GartenElement (int x, int y)
    {
        this.x = x;
        this.y = y;
        darstellung = new Rechteck();
        darstellung.PositionSetzen(x * seitenlänge, y * seitenlänge);
        darstellung.GrößeSetzen(seitenlänge, seitenlänge);
    }
    
    /**
     * Gibt die x-Position des Elements zurück.
     * @return x-Position
     */
    int XPositionGeben()
    {
        return x;
    }
    
    /**
     * Gibt die y-Position des Elements zurück.
     * @return y-Position
     */
    int YPositionGeben()
    {
        return y;
    }
}
