
/**
 * Beschreibt einen Knoten
 * 
 * @author Albert Wiedemann
 * @version 1.0
 */
class Knoten
{
    /** x-Koordinate des Knotens */
    private int x;
    /** y-Koordinate des Knotens */
    private int y;
    /** Das Darstellungssymbol des Knotens */
    private KnotenSymbol symbol;
    
    /**
     * Besetzt die Attribute und legt das Knotensymbol an.
     * @param x x-Koordinate
     * @param y y-Koordinate
     */
    Knoten (int x, int y)
    {
        this.x = x;
        this.y = y;
        symbol = new KnotenSymbol(x * GartenElement.seitenlänge + GartenElement.seitenlänge / 2, Zeichenfenster.MalflächenHöheGeben() / 2 + y * GartenElement.seitenlänge + GartenElement.seitenlänge / 2, (GartenElement.seitenlänge - 4) / 2, "weiß", "");
    }
    
    /**
     * Meldet die x-Koordinate des Knotens zurück.
     * @return x-Koordinate
     */
    int XGeben()
    {
        return x;
    }
    
    /**
     * Meldet die y-Koordinate des Knotens zurück.
     * @return y-Koordinate
     */
    int YGeben()
    {
        return y;
    }
    
    /**
     * Meldet das Symbol des Knotens zurück.
     * @return Bezeichner
     */
    KnotenSymbol SymbolGeben()
    {
        return symbol;
    }
    
    /**
     * Setzt die Farbe der Darstellung
     * @param f die (neue) Farbe
     */
    void FarbeSetzen(String f)
    {
        symbol.FarbeSetzen(f);
    }
}
